Subject: bug#31717:

From: Carlos Pita <[email-masked]>
Date: Tue, 5 Jun 2018 00:30:10 -0300

A little more experimentation with different windows sizes made me
realize that the <70 hard and fast rule doesn't exist. Now I see the
threshold indeed depends on the window size. But it is still too
conservative, leading to premature enlargement of the line number
space.

I suggest three optimizations in order of assumed (wild guessed)
ascending difficulty:

1. For relative/visual modes never reserve extra space.
2. If the lines in the file are < N never reserve extra space for >= N.
3. Take also into account the remaining window lines (I assume this is
not as easy as it sounds).